package com.goldenwater.slgc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slgc.domain.RelPustBas;
import com.goldenwater.slgc.mapper.RelPustBasMapper;
import com.goldenwater.slgc.service.RelPustBasService;

/** 水闸基本信息关联 业务实现 */
@Service
public class RelPustBasServiceImpl implements RelPustBasService {
    @Autowired
    private RelPustBasMapper relPustBasMapper;

    @Override
    public List<RelPustBas> selectRelPustBasList(RelPustBas relPustBas) {
        return relPustBasMapper.selectRelPustBasList(relPustBas);
    }

    @Override
    public RelPustBas selectRelPustBasById(RelPustBas relPustBas) {
        return relPustBasMapper.selectRelPustBasById(relPustBas);
    }

    @Override
    public int deleteRelPustBasById(RelPustBas relPustBas) {
        return relPustBasMapper.deleteRelPustBasById(relPustBas);
    }

    @Override
    public int insertRelPustBas(RelPustBas relPustBas) {
        return relPustBasMapper.insertRelPustBas(relPustBas);
    }

    @Override
    public int updateRelPustBas(RelPustBas relPustBas) {
        return relPustBasMapper.updateRelPustBas(relPustBas);
    }
}
